> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Projects



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}:
    get:
      tags:
        - Projects
      summary: Get Projects
      operationId: ProjectsController_findOne_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponseDto'
components:
  schemas:
    ProjectResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        sector:
          type: string
          nullable: true
        workType:
          type: string
          nullable: true
        lifecycleStatus:
          type: string
          nullable: true
        projectLead:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectLeadResponseDto'
        plannedStartDate:
          type: string
          nullable: true
        targetEndDate:
          type: string
          nullable: true
        region:
          nullable: true
          enum:
            - north_america
            - east_coast
            - west_coast
            - europe
            - middle_east
            - latin_america
            - apac
          type: string
        isPrototype:
          type: boolean
        sourceProjectId:
          type: string
          nullable: true
        client:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectClientResponseDto'
        billingClient:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectClientResponseDto'
        coverImageKey:
          type: string
          nullable: true
        createdById:
          type: string
          nullable: true
        status:
          enum:
            - active
            - archived
          type: string
        publicItemPagesEnabled:
          type: boolean
        memberCount:
          type: number
        lastViewedAt:
          type: string
          nullable: true
        specDisciplines:
          type: array
          items:
            type: object
        segments:
          type: array
          items:
            type: object
        tags:
          type: array
          items:
            $ref: '#/components/schemas/ProjectTagResponseDto'
        categories:
          type: array
          items:
            type: object
        createdAt:
          type: string
        updatedAt:
          type: string
        archivedAt:
          type: string
          nullable: true
      required:
        - id
        - name
        - code
        - description
        - sector
        - workType
        - lifecycleStatus
        - projectLead
        - plannedStartDate
        - targetEndDate
        - region
        - isPrototype
        - sourceProjectId
        - client
        - billingClient
        - coverImageKey
        - createdById
        - status
        - publicItemPagesEnabled
        - memberCount
        - lastViewedAt
        - specDisciplines
        - segments
        - tags
        - categories
        - createdAt
        - updatedAt
        - archivedAt
    ProjectLeadResponseDto:
      type: object
      properties:
        userId:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      required:
        - userId
        - email
        - firstName
        - lastName
    ProjectClientResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
      required:
        - id
        - name
        - available
    ProjectTagResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        color:
          enum:
            - grey
            - blue
            - green
            - yellow
            - purple
            - pink
            - cyan
            - red
          type: string
      required:
        - id
        - name
        - color

````